Bug 1299966 - CVE-2016-2091 libdwarf: Out-of-bounds read in dwarf_frame2.c [fedora-all]
CVE-2016-2091 libdwarf: Out-of-bounds read in dwarf_frame2.c [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libdwarf (Show other bugs)
23
All Linux
low Severity low
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2016-2091
  Show dependency treegraph
 
Reported: 2016-01-19 10:58 EST by Adam Mariš
Modified: 2016-05-12 12:13 EDT (History)
2 users (show)

See Also:
Fixed In Version: libdwarf-20160507-1.fc24
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 12:13:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-01-19 10:58:38 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Adam Mariš 2016-01-19 10:58:44 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1299964,1299966

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1299964,1299966
Comment 2 Tom Hughes 2016-01-19 11:19:53 EST
Please, if you're going to report bugs, include the actual details of the problem. Don't hide them away in another bug.

I assume that http://sourceforge.net/p/libdwarf/code/ci/2192c62b5c54a432010ed358bf8147657587463c/ is the fix for this?
Comment 3 Tom Hughes 2016-01-19 12:22:28 EST
For the record, and given that even the CVE request doesn't actually tell you how to reproduce this, the answer is to run:

valgrind dwarfdump -F awbug5.elf

Where awbug5.elf is the file from the CVE request at http://seclists.org/oss-sec/2016/q1/135.
Comment 4 Tom Hughes 2016-01-19 12:27:54 EST
Still seems to be an issue in the latest upstream code so have reported it upstream.
Comment 5 Fedora Update System 2016-05-08 06:26:55 EDT
libdwarf-20160507-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f36c5935e5
Comment 6 Fedora Update System 2016-05-08 20:54:50 EDT
libdwarf-20160507-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f36c5935e5
Comment 7 Fedora Update System 2016-05-12 12:12:57 EDT
libdwarf-20160507-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.